<?php

namespace App\Notification\Notifications\Hellcase;

use App\Browser\Jobs\Hellcase\HellcaseDailyFreeScreenshot;
use App\Notification\Notification;

class HellcaseNotificationDailyFree extends Notification {

    public function __construct(int $jobId, \App\Notification\NotificationBody $body) {
        parent::__construct($jobId, $body);
    }

    /**
     * @inheritDoc
     */
    public function getImageProjectPath(): string|null {
        return HellcaseDailyFreeScreenshot::getImgFileProjectPath();
    }

    /**
     * @inheritDoc
     */
    public function getLinkURL(): string|null {
        return route('jobs.show', ['job' => $this->job->id]);
    }
}
